/*
 *  vocstr.h from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */

#ifndef VOCSTR_DOT_H
#define VOCSTR_DOT_H
#include "ObjProArith/hrdarth.h"

#include "ObjProDSP/portable.h"
#include "ObjProDSP/entenm.h"
#include "ObjProGen/debug.h"
#include "ObjProUsr/dsplstr.h"

class VoiceStripOut: public DisplayNodeStr {
#line 34 "../vocstr.usr"
 
	int TheFile ;
	char * to_delete ;
	class VoiceStripOutputFile * TheOutputFile ;
	ErrCode node_state ;
#ifdef INTERACTIVE
	int InitAfterLinked(){return set_read_binary_flag(binary_read_flag) ;}
#endif
#line 30 "/usrb/dist/ftp/opd-0.1/src/include/ObjProDSPint/ObjProUsr/vocstr.h"
	int binary_read_flag ;
	virtual ErrCode EmitStaticInit(OutTokens& Out);
	virtual ErrCode EmitStaticCtorParameters(OutTokens& Out);
	const char *  FileName_1;
public:
	VoiceStripOut (const char * Name, const char * FileName);
	virtual ~VoiceStripOut();
	const char * GetFileName() const {return FileName_1;}
	virtual int CheckSafeDelete() ;
	virtual ErrCode DoNode(int32);
	void Describe(OutTokens& Out, ListEntity Option);
	virtual int CppList(OutTokens& Out, CppListCmds Cmd);
	virtual double TimeFirst(DfNodeInLink *,DfNodeOutLink *);
};

extern VoiceStripOut * VoiceStripOutDef;


#endif /* #ifdef VOCSTR_DOT_H */
